GWT 2.7.0

## com.google.web.bindery.requestfactory.shared
Interface ServiceLocator

    public interface ServiceLocator

A ServiceLocator provides instances of a type specified by a `Service` when `Request` methods declared in a `RequestContext`are mapped onto instance (non-static) methods.

ServiceLocator subtypes must be default instantiable (i.e. public static types with a no-arg constructor). Instances of ServiceLocators may be retained and reused by the RequestFactory service layer.

See Also:
  `Service.locator()`

Method Summary
`java.lang.Object` | `getInstance(java.lang.Class<?> clazz)` Returns an instance of the service object.

Method Detail

### getInstance

    java.lang.Object getInstance(java.lang.Class<?> clazz)

  Returns an instance of the service object.

  Parameters:
    `clazz` - the requested type of service object
  Returns:
    an instance of the service object

GWT 2.7.0